%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:             log4j-jboss-logmanager
Version:          1.1.2
Release:          %mkrel 2
Group:            Development/Java
Summary:          JBoss Log4j Emulation
License:          ASL 2.0
Url:              https://github.com/jboss-logging/log4j-jboss-logmanager
Source0:          https://github.com/jboss-logging/log4j-jboss-logmanager/archive/%{namedversion}.tar.gz

BuildRequires:    maven-local
BuildRequires:    mvn(junit:junit)
BuildRequires:    mvn(log4j:log4j:12)
BuildRequires:    mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires:    mvn(org.jboss:jboss-parent:pom:)
BuildRequires:    mvn(org.jboss.logging:jboss-logging)
BuildRequires:    mvn(org.jboss.logmanager:jboss-logmanager)
BuildRequires:    mvn(org.jboss.modules:jboss-modules)

Provides:         bundled(log4j12) = 1.2.17-12

BuildArch:        noarch

%description
This package contains the JBoss Log4J Emulation.

%package javadoc
Summary:          Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n log4j-jboss-logmanager-%{namedversion}

cp -p src/main/resources/META-INF/LICENSE .
cp -p src/main/resources/META-INF/NOTICE .
sed -i 's/\r//' LICENSE NOTICE

%pom_change_dep :log4j ::12

%build

# Tests run: 36, Failures: 0, Errors: 0, Skipped: 7
# Test suite disable cause:
# The forked VM terminated without properly saying goodbye. VM crash or System.exit called?
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%license LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE




%changelog
* Sat May 13 2017 neoclust <neoclust> 1.1.2-2.mga6
+ Revision: 1100949
- New version 1.1.2
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.1.0-4.mga6
+ Revision: 977251
- First rebuild of the java stack
- sync package log4j-jboss-logmanager with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sun Jan 18 2015 daviddavid <daviddavid> 1.1.0-1.mga5
+ Revision: 811226
- Sync with fc21 (update to 1.1.0.Final)
- add missing BuildRequires on liblog4j12-java

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-4.mga5
+ Revision: 746831
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Dec 30 2013 dmorgan <dmorgan> 1.0.2-2.mga4
+ Revision: 563298
- imported package log4j-jboss-logmanager


* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Marek Goldmann <mgoldman@redhat.com> - 1.0.2-1
- Initial packaging


